### Constant

# EBookContacts BOOK_BACKEND_PROPERTY_REQUIRED_FIELDS

#### Declaration

    #define E_BOOK_BACKEND_PROPERTY_REQUIRED_FIELDS ""required-fields""

#### Description

Provides comma-separated list of required fields by the book backend. All of these attributes should be set, otherwise the backend will reject saving the contact.

The `e_contact_field_id()` can be used to transform the field name into an `EContactField`.